% Calculate delay spread given power-delay-profile
% delay_spread function takes the form
% [rms_delay_spread, mean_excess_delay] = delay_spread(delay, variances)
% given delay and variance (or relative avg received power) at each delay,
% findd the rms delay spread and mean excess delay of the PDP

function [rms_delay_spread, mean_excess_delay] = delay_spread(delay, variances)

mean_excess_delay = sum(delay.*variances)./sum(variances);
rms_delay_spread = sqrt(sum( ((delay - mean_excess_delay).^2) .* variances) ./ sum(variances));